.clock {
    width: 350px;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url("clock.png");
    background-size: cover;
    border: 4px solid #091921;
    border-radius: 50%;
    box-shadow: 0 -15px 15px rgba(255, 255, 255, 0.05),
    inset 0 -15px 15px rgba(255, 255, 255, 0.05),
    0 15px 15px rgba(0, 0, 0, 0.03), inset 0 15px 15px rgba(0, 0, 0, 0.03);
}

.clock:before {
    content: "";
    position: absolute;
    width: 15px;
    height: 15px;
    background: #fff;
    border-radius: 50%;
    z-index: 10000;
}

.clock .hour,
.clock .min,
.clock .sec {
    position: absolute;
}

.clock .hour,
.hr {
    width: 160px;
    height: 160px;
}

.clock .min,
.mn {
    width: 190px;
    height: 190px;
}

.clock .sec,
.sc {
    width: 230px;
    height: 230px;
}

.hr,
.mn,
.sc {
    display: flex;
    justify-content: center;
    position: absolute;
    border-radius: 50%;
    /*transition: transform 500ms ease;*/
}

.hr:before {
    content: "";
    position: absolute;
    width: 8px;
    height: 80px;
    background: #ff105e;
    z-index: 10;
    border-radius: 6px 6px 0 0;
}

.mn:before {
    content: "";
    position: absolute;
    width: 4px;
    height: 90px;
    background: #fff;
    z-index: 11;
    border-radius: 6px 6px 0 0;
}

.sc:before {
    content: "";
    position: absolute;
    width: 2px;
    height: 150px;
    background: #06f;
    z-index: 12;
    border-radius: 6px 6px 0 0;
}

.digital {
    color: white;
    transform: translateY(-100%);
    font-size: 2.5rem;
    font-family: Consolas, Monaco, Lucida Console, Liberation Mono,
    DejaVu Sans Mono, Bitstream Vera Sans Mono, Courier New, monospace;
}

.digital .dig-hr:before,
.digital .dig-mn:before {
    content: "";
    position: absolute;
    width: 3rem;
    height: 3rem;
    background: #333;
    z-index: -1;
}

.digital .dig-hr:after {
    content: ":";
}
